Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

editmessage.php
Go to the documentation of this file.
1 <?php
3 //
4 // $Id: editmessage.php 7759 2001-10-10 13:18:29Z jhe $
5 //
6 // Author: Lars Wilhelmsen <lw@ez.no>
7 //
8 // Created on: <25-Jul-2000 15:13:15 lw>
9 //
10 // This source file is part of Exponential Basic, publishing software.
11 //
12 // Copyright (C) 1999-2001 eZ Systems. All rights reserved.
13 //
14 // This program is free software; you can redistribute it and/or
15 // modify it under the terms of the GNU General Public License
16 // as published by the Free Software Foundation; either version 2
17 // of the License, or (at your option) any later version.
18 //
19 // This program is distributed in the hope that it will be useful,
20 // but WITHOUT ANY WARRANTY; without even the implied warranty of
21 // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
22 // GNU General Public License for more details.
23 //
24 // You should have received a copy of the GNU General Public License
25 // along with this program; if not, write to the Free Software
26 // Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, US
27 //
28
32 // include_once( "classes/INIFile.php" );
33 $ini =& eZINI::instance( 'site.ini' );
34
35 $DOC_ROOT = $ini->variable( "eZForumMain", "DocumentRoot" );
36
37 // include_once( "classes/template.inc" );
39 // include_once( "$DOC_ROOT/classes/ezforummessage.php" );
40 // include_once( "../classes/ezuser.php" );
41
42 $t = new Template( "." );
43 $t->set_file(Array( "edit" => "$DOC_ROOT/admin/templates/editmessage.tpl",
44 "navigation" => "$DOC_ROOT/templates/navigation.tpl",
45 "navigation-bottom" => "$DOC_ROOT/templates/navigation-bottom.tpl" ) );
46
47 $msg = new eZforumMessage;
48 $msg->get( $message_id );
49
50 $t->set_var( "message_id", $message_id );
51 $t->set_var( "docroot", $DOC_ROOT );
52 $t->set_var( "category_id", $category_id );
53 $t->set_var( "forum_id", $forum_id );
54
55 $t->parse( "navigation-bar", "navigation", true);
56
57 // rest
58 $author = new eZUser();
59
60 $t->set_var( "user", $author->get( $msg->userId() ) );
61 $t->set_var( "topic", $msg->topic() );
62 $t->set_var( "body", $msg->body() );
63
64 if ( $msg->emailNotice() == "Y" )
65 {
66 $t->set_var( "email-notice", "checked" );
67 }
68 else
69 {
70 $t->set_var( "email-notice", "" );
71 }
72
73 $t->set_var( "link1-url", "admin/category.php" );
74 $t->set_var( "link1-caption", "G� til topp" );
75 $t->set_var( "link2-url", "search.php" );
76 $t->set_var( "link2-caption", "S�k" );
77
78 $t->set_var( "back-url", "admin/message.php" );
79 $t->parse( "navigation-bar-bottom", "navigation-bottom", true );
80 $t->pparse( "output", "edit" );
81
82 ?>
Template
Definition: template.inc.php:13
eZUser
Definition: ezuser.php:76
$DOC_ROOT
$DOC_ROOT
Definition: editmessage.php:35
$t
$t
Definition: editmessage.php:42
$ini
$ini
Definition: editmessage.php:33
$msg
$msg
Definition: editmessage.php:47
$author
$author
Definition: editmessage.php:58
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.